Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class RemoteUserLoginHandlerFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.RemoteUserLoginHandlerFactoryBean

All Implemented Interfaces:
  BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean, InitializingBean

    public class RemoteUserLoginHandlerFactoryBean

extends AbstractLoginHandlerFactoryBean

Spring factory for `RemoteUserLoginHandler`.

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`RemoteUserLoginHandlerFactoryBean()`

Method Summary
`protected Object` | `createInstance()`
`Class` | `getObjectType()`
`String` | `getProtectedServletPath()` Gets the path to protected servlet.
`void` | `setProtectedServletPath(String path)` Sets the path to protected servlet.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
`getAuthenticationDuration, getAuthenticationMethods, populateHandler, setAuthenticationDuration, setAuthenticationMethods`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteUserLoginHandlerFactoryBean

    public RemoteUserLoginHandlerFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`
  Specified by:
    `getObjectType` in class `AbstractFactoryBean`

### getProtectedServletPath

    public String getProtectedServletPath()

  Gets the path to protected servlet.

  Returns:
    path to protected servlet

### setProtectedServletPath

    public void setProtectedServletPath(String path)

  Sets the path to protected servlet.

  Parameters:
    `path` - Tpath to protected servlet

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `AbstractFactoryBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.